<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ai.da.mapper.primary.TDesignPythonOutfitMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="tDesignPythonOutfitResultMap" type="com.ai.da.mapper.primary.entity.TDesignPythonOutfit">
        <id column="id" property="id"/>
        <result column="design_item_id" property="designItemId"/>
        <result column="design_id" property="designId"/>
        <result column="collection_id" property="collectionId"/>
        <result column="design_url" property="designUrl"/>
        <result column="user_id" property="userId"/>
        <result column="create_date" property="createDate"/>
        <result column="update_date" property="updateDate"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectTDesignPythonOutfitPage" resultMap="tDesignPythonOutfitResultMap">
        select * from t_design_python_outfit where is_deleted = 0
    </select>

    <select id="selectListDelete" resultMap="tDesignPythonOutfitResultMap">
        select * from t_design_python_outfit
        where is_deleted = 1
    </select>
</mapper>
